import request from '@/utils/request'

// 查询基建工程列表
export function listEngineeringInfrastructure(query) {
  return request({
    url: '/system/engineeringInfrastructure/list',
    method: 'get',
    params: query
  })
}

// 查询基建工程详细
export function getEngineeringInfrastructure(id) {
  return request({
    url: '/system/engineeringInfrastructure/' + id,
    method: 'get'
  })
}

// 新增基建工程
export function addEngineeringInfrastructure(data) {
  return request({
    url: '/system/engineeringInfrastructure',
    method: 'post',
    data: data
  })
}

// 修改基建工程
export function updateEngineeringInfrastructure(data) {
  return request({
    url: '/system/engineeringInfrastructure',
    method: 'put',
    data: data
  })
}

// 删除基建工程
export function delEngineeringInfrastructure(id) {
  return request({
    url: '/system/engineeringInfrastructure/' + id,
    method: 'delete'
  })
}
